|  | Home · All Classes · Modules

# QDBusConnection.ConnectionCapabilities Class Reference
[QtDBus module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, ConnectionCapabilities)

### Special Methods

- ConnectionCapabilities __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, ConnectionCapabilities f)
- ConnectionCapabilities __iand__ (self, int f)
- int __int__ (self)
- ConnectionCapabilities __invert__ (self)
- ConnectionCapabilities __ior__ (self, int f)
- ConnectionCapabilities __ixor__ (self, int f)
- bool __ne__ (self, ConnectionCapabilities f)
- ConnectionCapabilities __or__ (self, int f)
- ConnectionCapabilities __xor__ (self, int f)

## Detailed Description

## Method Documentation

### ConnectionCapabilities.__init__ (self)

### ConnectionCapabilities.__init__ (self, int f)

### ConnectionCapabilities.__init__ (self, ConnectionCapabilities)

### ConnectionCapabilities ConnectionCapabilities.__and__ (self, int f)

### int ConnectionCapabilities.__bool__ (self)

### bool ConnectionCapabilities.__eq__ (self, ConnectionCapabilities f)

### ConnectionCapabilities ConnectionCapabilities.__iand__ (self, int f)

### int ConnectionCapabilities.__int__ (self)

### ConnectionCapabilities ConnectionCapabilities.__invert__ (self)

### ConnectionCapabilities ConnectionCapabilities.__ior__ (self, int f)

### ConnectionCapabilities ConnectionCapabilities.__ixor__ (self, int f)

### bool ConnectionCapabilities.__ne__ (self, ConnectionCapabilities f)

### ConnectionCapabilities ConnectionCapabilities.__or__ (self, int f)

### ConnectionCapabilities ConnectionCapabilities.__xor__ (self, int f)